biterp

Criar cliente

POST
/customers
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.biterp.ai/customers" \  -H "Content-Type: application/json" \  -d '{    "type": "individual",    "tax_id": "string",    "legal_name": "string"  }'
{
  "id": "string",
  "type": "string",
  "tax_id": "string",
  "tax_id_type": "CPF",
  "legal_name": "string",
  "trade_name": "string",
  "website": "string",
  "address_line1": "string",
  "address_line2": "string",
  "city": {
    "id": 0,
    "name": "string"
  },
  "state": {
    "id": 0,
    "state_code": "string",
    "name": "string"
  },
  "country": {
    "id": 0,
    "iso2": "string",
    "iso3": "string",
    "name": "string"
  },
  "postal_code": "string",
  "reference_code": "string",
  "bank_code": "string",
  "branch_number": "string",
  "account_number": "string",
  "account_type": "string",
  "emails": [
    "string"
  ],
  "phones": [
    "string"
  ],
  "tags": [
    "string"
  ],
  "is_blocked": true,
  "metadata": {},
  "br_data": {
    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
    "ie": "string",
    "ie_exempt": true,
    "im": "string",
    "suframa": "string",
    "tax_regime": "string",
    "cnae_primary": "string",
    "cnae_secondary": [
      "string"
    ],
    "nire": "string",
    "pix_key": "string",
    "pix_key_type": "string",
    "address_number": "string",
    "address_district": "string"
  },
  "us_data": {
    "customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
    "w9_on_file": true,
    "w9_received_date": "2019-08-24",
    "naics_code": "string",
    "sic_code": "string",
    "tax_classification": "string",
    "sales_tax_exempt": true,
    "sales_tax_exempt_certificate": "string",
    "sales_tax_exempt_expiry": "2019-08-24",
    "resale_certificate": "string",
    "state_tax_id": "string",
    "state_of_incorporation": "string",
    "duns_number": "string",
    "cage_code": "string",
    "bank_name": "string",
    "routing_number": "string",
    "ach_authorized": true,
    "ach_authorization_date": "2019-08-24"
  },
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}
{
  "statusCode": 422,
  "message": "Could not resolve provided geography fields",
  "error": "Unprocessable Entity",
  "details": {
    "fields": {
      "country_code": [
        "Could not resolve country from '1112' (tried ISO2, ISO3, numeric code and names)"
      ],
      "city": [
        "Could not resolve city from 'CidadeQueNaoExiste' in country 'BR'"
      ]
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 422,
  "message": "Could not resolve provided geography fields",
  "error": "Unprocessable Entity",
  "details": {
    "fields": {
      "country_code": [
        "Could not resolve country from '1112' (tried ISO2, ISO3, numeric code and names)"
      ],
      "city": [
        "Could not resolve city from 'CidadeQueNaoExiste' in country 'BR'"
      ]
    }
  }
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}